How to get the value in xform

Hi,
I want to get the value in the xform like in the picture, how cant do?

Hi @pythonuser,

you can access this transform property using

print xf.M00 

or, alternatively use:

print xf.Item[0,0]

there is more help here in this section… or download the full RhinoCommon helpfile here. If you download the offline helpfile in chm format, you might right click on it and choose unblock. To navigate to the relevant page go to:

Rhino.Geometry Namespace > Transform Structure > Transform Properties

c.

Hi @clement,
Think you.It have work.

xf = rs.BlockInstanceXform(block)
transform = rs.coercexform(xf)
radius = transform.M00
print radius